WordPress.org

Plugin Directory

!This plugin hasn't been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.

Hyphenator

Soft hyphens are automatically added in the content for a nicer automatic word wrap. Particularly suitable for justification. Uses Hyphenator.js.

4.1.0 (29.10.2012)

  • updated to Hyphenator.js 4.1.0
    • faster pattern checking (async)
    • globally hide and unhide text by setting CSS classes (faster)
    • made Hyphenator.js ready for IE10
    • Added support for Esperanto, Estonian and Serbian latin
    • Bugfixes

4.0.0 (27.02.2012)

  • updated to Hyphenator.js 4.0.0
    • Faster: 30% less execution time
    • Added support for Slovak
    • Bugfixes
      • fixed issue with Copy in IE9
      • fixed errors caused by <math> and <svg> elements
      • correct language code for Norwegian BokmÃ¥l
  • new default language option

Older Versions

  • 0.0.7 (12.10.2008) - first version (released first as version 1.0)
  • 0.0.8 (15.10.2008) - updated to Hyphenator.js v8 (beta)
  • 0.0.81 (22.10.2008) - updated to Hyphenator.js v8_1 (beta)
  • 0.0.91 (04.11.2008) - updated to Hyphenator.js v9_1 (beta)
  • 0.1.0 (26.11.2008) - updated to Hyphenator.js v10 (beta)
  • 0.1.1 (23.12.2008) - updated to Hyphenator.js v11 (beta)
  • 0.1.2 (12.01.2009) - updated to Hyphenator.js v12 (beta)
  • 1.0.0 (24.02.2009) - updated to Hyphenator.js 1.0.0, new version numbers and new backend
  • 1.0.0.1 (25.02.2009) - fatal bug fixed
  • 1.0.1 (03.03.2009) - updated to Hyphenator.js 1.0.1
  • 1.0.2 (09.03.2009) - updated to Hyphenator.js 1.0.2
  • 2.0.0 (15.03.2009) - updated to Hyphenator.js 2.0.0
  • 2.0.0.1 (16.03.2009) - bug fixed
  • 2.2.0 (08.05.2009) - updated to Hyphenator.js 2.2.0
  • 2.2.0.1 (19.06.2009) - bug fixed
  • 2.3.0 (15.07.2009) - updated to Hyphenator.js 2.3.0
  • 2.3.1 (10.08.2009) - updated to Hyphenator.js 2.3.1
  • 3.2.0 (31.12.2010) - updated to Hyphenator.js 3.2.0
  • 3.3.0 (29.06.2011) - updated to Hyphenator.js 3.3.0
  • 3.3.0.1 (03.07.2011) - fatal error fixed

Requires: 2.7 or higher
Compatible up to: 3.3.2
Last Updated: 2012-10-29
Active Installs: 1,000+

Ratings

3 out of 5 stars

Support

Got something to say? Need help?

Compatibility

+
=
Not enough data

0 people say it works.
1 person says it's broken.

100,1,1
100,1,1
100,1,1
100,1,1
100,4,4
33,3,1
100,1,1
100,1,1 100,1,1 100,1,1
100,1,1 100,1,1 100,1,1
100,1,1 100,1,1 100,1,1 100,1,1
100,1,1 100,1,1
50,2,1 100,1,1
50,2,1 100,1,1
100,4,4
100,2,2 100,1,1
100,2,2 100,1,1
100,1,1 33,3,1
100,2,2
100,1,1
0,1,0
0,1,0